Daftar
Ambil unggahan daftar
GET /v1/lists/{list_id}/tweets reads 2 kredit
Unggahan terbaru dalam sebuah Daftar publik: semua yang diunggah anggotanya, terbaru lebih dulu, termasuk unggahan ulang dan balasan.
Parameter kueri
| Parameter kueri | Tipe | Arti |
|---|---|---|
count | int 1–100 = 40 | Ukuran halaman yang diminta; X memperlakukannya sebagai petunjuk dan menentukan sendiri ukuran halaman Daftar |
cursor | string | Dari next_cursor halaman sebelumnya; kursor yang tidak bisa didekode menghasilkan 400 |
respons
Id Daftar, satu halaman unggahan, dan kursor untuk halaman berikutnya (null di akhir). Daftar yang tidak dikenal atau privat menghasilkan 404.
Status: 200, 400, 404, 422, 429, 502
permintaan
curl https://api.xsignalfeed.com/v1/lists/1439812722267357187/tweets?count=40 \ -H "Authorization: Bearer xsf_your_key"
respons · 200 / 400
{
"list_id": "1439812722267357187",
"tweets": [
{
"id": 2100421151273152841,
"created_ms": 1789614401058,
"user_id": 1471798119453294593,
"user": "list_member",
"name": "…",
"text": "RT @nogizaka46: …",
"lang": "ja",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2100421151273152841",
"is_rt": true,
"rt_of": {
"id": "2100398710000000000",
"user": "nogizaka46",
"name": "乃木坂46",
"user_id": "…",
"text": "…",
"media": [
"https://pbs.twimg.com/media/….jpg"
],
"media_items": [
{
"…": "…"
}
],
"created_ms": 1789609050000,
"url": "https://x.com/nogizaka46/status/2100398710000000000"
},
"is_quote": false,
"quoted": null,
"media": [
"https://pbs.twimg.com/media/….jpg"
],
"media_items": [
{
"type": "photo",
"url": "https://pbs.twimg.com/media/….jpg",
"expanded_url": "https://x.com/nogizaka46/status/2100398710000000000/photo/1",
"width": 1200,
"height": 675
}
],
"urls": [
"https://…"
],
"views": null,
"counts": {
"reply": 0,
"rt": 312,
"like": 0,
"quote": 0,
"bookmark": 0
},
"source": "<a href=\"http://twitter.com/download/android\" rel=\"nofollow\">Twitter for Android</a>"
},
{
"…": "…"
}
],
"next_cursor": "DAABCgABHSYyJLe__60KAAIdJhjzCNqgMwgAAwAAAAIAAA"
}